=== libs/auxfun/CMakeLists.txt ===
# build auxfun lib
SET(AUXFUN_SRC ../../include/auxfun/image.h ../../include/auxfun/rgbpixel.h image.cpp)
IF(BUILD_STATIC)
ADD_LIBRARY(auxfun STATIC ${AUXFUN_SRC})
ELSE()
ADD_LIBRARY(auxfun SHARED ${AUXFUN_SRC})
ENDIF()

SET_TARGET_PROPERTIES(auxfun PROPERTIES SOVERSION "${VERSION_MAJOR}" VERSION "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_MICRO}")  
TARGET_LINK_LIBRARIES(auxfun ${PNG_LIBRARY} ${ZLIB_LIBRARY})
INSTALL(TARGETS auxfun 
    RUNTIME DESTINATION ${BINDIR}
    LIBRARY DESTINATION ${LIBDIR}
    ARCHIVE DESTINATION ${LIBDIR})
