=== debian/control ===
Source: lensfun
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, python, doxygen, libglib2.0-dev, libpng12-dev
Standards-Version: 3.8.1
Section: libs
Homepage: http://lensfun.berlios.de

Package: liblensfun-dev
Section: libdevel
Architecture: any
Depends: liblensfun0 (= ${binary:Version}), ${misc:Depends}
Description: Lens Correction library - Development files
 Lensfun is an opensource database of photographic lenses and their
 characteristics. It contains three kinds of objects:
  * mounts
  * cameras
  * lenses
 .
 It is used in various photo-related softwares in which it allows the
 correction of various artifacts:
  * distortion
  * transveral (also known as lateral) chromatic aberrations
  * vignetting
  * colour contribution of the lens (correcting said "yellowish" or "blueish"
    images)
 .
 It provides a way to read and search for specific things in the database.
 .
 This package contains the development files.

Package: liblensfun0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblensfun-data
Description: Lens Correction library - Runtime files
 Lensfun is an opensource database of photographic lenses and their
 characteristics. It contains three kinds of objects:
  * mounts
  * cameras
  * lenses
 .
 It is used in various photo-related softwares in which it allows the
 correction of various artifacts:
  * distortion
  * transveral (also known as lateral) chromatic aberrations
  * vignetting
  * colour contribution of the lens (correcting said "yellowish" or "blueish"
    images)
 .
 It provides a way to read and search for specific things in the database.
 .
 This package contains the runtime files to access the library.

Package: liblensfun-data
Architecture: all
Depends: ${misc:Depends}
Description: Lens Correction library - Data
 Lensfun is an opensource database of photographic lenses and their
 characteristics. It contains three kinds of objects:
  * mounts
  * cameras
  * lenses
 .
 It is used in various photo-related softwares in which it allows the
 correction of various artifacts:
  * distortion
  * transveral (also known as lateral) chromatic aberrations
  * vignetting
  * colour contribution of the lens (correcting said "yellowish" or "blueish"
    images)
 .
 It provides a way to read and search for specific things in the database.
 .
 This package contains the data collection.

Package: liblensfun-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Lens Correction library - Documentation
 Lensfun is an opensource database of photographic lenses and their
 characteristics. It contains three kinds of objects:
  * mounts
  * cameras
  * lenses
 .
 It is used in various photo-related softwares in which it allows the
 correction of various artifacts:
  * distortion
  * transveral (also known as lateral) chromatic aberrations
  * vignetting
  * colour contribution of the lens (correcting said "yellowish" or "blueish"
    images)
 .
 It provides a way to read and search for specific things in the database.
 .
 This package contains the documentation.
