=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_DOC=ON -DDOCDIR="share/doc/liblensfun-doc"

override_dh_auto_clean:
	find -name "*.pyc" -exec rm -f '{}' \;
	dh_auto_clean
