=== debian/watch ===
version=3
http://download.berlios.de/lensfun/ lensfun-(.*).tar.bz2 debian svn-upgrade
