## lensfun 0.2.8

=== debian/changelog ===
lensfun (0.2.8-2) unstable; urgency=medium

  * Team upload.
  * The project moved from Berlios to Sourceforce, so:
    - update Homepage to http://lensfun.sourceforge.net
    - update watch file to look on sf.net
  * Add Vcs-* headers.
  * Simplify/improve/sort .install files.
  * Do not build the documentation on arch-only builds:
    - move the doxygen build dependency to Build-Depends-Indep
    - explicitly disable the documentation build (i.e. pass -DBUILD_DOC=OFF
      to cmake) when not producing -doc packages
  * Add the pkg-config build dependency.
  * Bump the priority to optional, since it is used by other "optional"
    sources.

 -- Pino Toscano <pino@debian.org>  Mon, 08 Sep 2014 09:01:51 +0200

lensfun (0.2.8-1) unstable; urgency=low

  * New upstream release
  * Add --parallel
  * Add -DDOCDIR="/usr/share/doc/liblensfun-doc/html"
  * Add +docs/adobe-lens-profile.txt
  * Bump shlibs - dh_makeshlibs -V 'liblensfun0 (>= 0.2.8)'
  * Bump Standards-Version: 3.9.5 - no further changes

 -- Mark Purcell <msp@debian.org>  Sat, 09 Nov 2013 16:32:20 +1100

lensfun (0.2.7-3) unstable; urgency=low

  [Andreas Metzler]
  * Bump shlibs. Closes: #722406

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 17:27:17 +1000

lensfun (0.2.7-2) unstable; urgency=low

  * Upload to unstable

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 10:17:02 +1000

lensfun (0.2.7-1) experimental; urgency=low

  * New upstream release
    - Fixes "new upstream version" (Closes: #679113)
    - Fixes "FTBFS with libpng 1.5" (Closes: #648130)
  * Update debian/watch - Thanks Bart
  * Fixed "Build-Depends on libpng-dev" (Closes: #662391)
  * Switch to cmake - Thanks yofel@kubuntu.org 
  * debian/compat -> 9

 -- Mark Purcell <msp@debian.org>  Sat, 09 Mar 2013 14:29:47 +1100
