=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: lensfun
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Priority: optional
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), cmake, python, doxygen, libglib2.0-dev, libpng12-dev
-Standards-Version: 3.8.1
+Build-Depends: debhelper (>= 9), cmake, pkg-config, python, libglib2.0-dev,
+ libpng-dev
+Build-Depends-Indep: doxygen
+Standards-Version: 3.9.5
 Section: libs
-Homepage: http://lensfun.berlios.de
+Homepage: http://lensfun.sourceforge.net
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/lensfun/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/lensfun/trunk
 
 Package: liblensfun-dev
 Section: libdevel
@@ -19,7 +22,7 @@
   * cameras
   * lenses
  .
- It is used in various photo-related softwares in which it allows the
+ It is used in various photo-related software in which it allows the
  correction of various artifacts:
   * distortion
   * transveral (also known as lateral) chromatic aberrations
@@ -41,7 +44,7 @@
   * cameras
   * lenses
  .
- It is used in various photo-related softwares in which it allows the
+ It is used in various photo-related software in which it allows the
  correction of various artifacts:
   * distortion
   * transveral (also known as lateral) chromatic aberrations
@@ -63,7 +66,7 @@
   * cameras
   * lenses
  .
- It is used in various photo-related softwares in which it allows the
+ It is used in various photo-related software in which it allows the
  correction of various artifacts:
   * distortion
   * transveral (also known as lateral) chromatic aberrations
@@ -86,7 +89,7 @@
   * cameras
   * lenses
  .
- It is used in various photo-related softwares in which it allows the
+ It is used in various photo-related software in which it allows the
  correction of various artifacts:
   * distortion
   * transveral (also known as lateral) chromatic aberrations
