=== debian/watch ===
version=3

http://sf.net/lensfun/lensfun-([0-9\.]*)\.tar\.(?:bz2|xz) debian svn-upgrade
