=== debian/changelog ===
lensfun (0.3.2-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Pino Toscano ]
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Use /usr/share/dpkg/architecture.mk instead of manually querying for
    $DEB_HOST_ARCH_CPU.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.1, no changes required.

  [ Helmut Grohne ]
  * Drop unused Build-Depends: libpng-dev as -DBUILD_LENSTOOL=ON is not
    passed. (Closes: #981312)

 -- Pino Toscano <pino@debian.org>  Sun, 07 Feb 2021 12:02:55 +0100

lensfun (0.3.2-5) unstable; urgency=medium

  * Switch Vcs-* fields to salsa.debian.org.
  * Switch Homepage to https://lensfun.github.io/.
  * Update watch file to point to github.com.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
    - drop the dh_makeshlibs override, as -V is done by default
    - stop passing --list-missing to dh_missing, as it is done by default
    - stop excluding examples from dh_compress, as it is done by default
  * Remove empty line at the end of control.
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Jan 2020 11:39:30 +0100

lensfun (0.3.2-4) unstable; urgency=medium

  * Add the dh-python build dependency, now explicitly required.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Fix typo in copyright.
  * Switch from dh_install to dh_missing for --list-missing.
  * Remove trailing whitespaces in changelog.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Apr 2018 08:12:25 +0200

lensfun (0.3.2-3) unstable; urgency=medium

  * Upload to unstable (see #821190).
  * Update Vcs-Browser field.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Add myself to Uploaders.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Apr 2016 18:35:43 +0200

lensfun (0.3.2-2) experimental; urgency=medium

  * Team upload.
  * Enable SSE and SSE2 only when building explicitly on amd64 CPUs, disabled
    otherwise.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jan 2016 18:41:59 +0100

lensfun (0.3.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (Closes: #771838) (LP: #1455216)
  * Rename liblensfun0 to liblensfun1 according to the new upstream SONAME.
  * Delete the build_docs.diff patch, it was not applied in previous versions
    already.
  * Rename liblensfun-data to liblensfun-data-v1, following upstream's
    indications about the separate versioning of the lensfun database.
  * Update .install files.
  * Mark liblensfun1 as "Multi-Arch: same".
  * Replace the python build dependency with python3, as it's what upstream
    uses now.
  * Add two new binary packages: liblensfun-bin (with utilities), and
    python3-lensfun (Python 3 module).
    - use the python3 dh addon to handle the python3 packaging
  * Rename the DOCDIR parameter for cmake to CMAKE_INSTALL_DOCDIR, as upstream
    uses GNUInstallDirs.cmake now.
  * Rework the building of the documentation: since BUILD_DOC enables other
    documentation than the API docs, we always need to enable it:
    - move doxygen as proper build dependency
    - always enable BUILD_DOC in cmake
    - add the python3-docutils build dependency, needed for rst2man
  * Use a locally installed mathjax instead of a remote version:
    - point the doxygen configurations to the local path; patch
      local-mathjax.diff
    - add the libjs-mathjax dependency to liblensfun-doc
  * Bump shlibs to >= 0.3.2.
  * Stop passing --buildsystem=cmake to dh, as there is only the CMake
    buildsystem upstream now.
  * Tighten the -data dependency in the library package.
  * Stop installing manual-main.txt in liblensfun-doc, as it's just one source
    of the API docs.
  * Install the documentation examples in liblensfun-dev, making sure to not
    compress them.
  * Backport upstream commit 3f74b78e4ee9f1d400ebbf2b9093a0f9c48c6307 to fix
    the Database unit test without an already installed lensfun; patch
    upstream_Use-database-in-source-directory-while-running-tests.patch.
  * Backport upstream commit 9ec857bb403accc262a9b5a9c2921b5c064fc9c8 to fix
    DESTDIR installation for the python stuff; patch
    upstream_Patch-47-respect-DESTDIR-when-installing-python-stuf.patch
  * Pass -DBUILD_TESTS=ON to cmake to enable the unit tests, now that all of
    them should work.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Jan 2016 16:06:26 +0100

lensfun (0.2.8-3) unstable; urgency=medium

  * Team upload.
  * Set "Multi-Arch: foreign" for liblensfun-data, to help in multiarch
    installations. (Closes: #785315)
  * Bump Standards-Version to 3.9.6, no changes required.
  * Update watch file (add .gz extension).
  * Pass --list-missing to dh_install, to spot potentially uninstalled files.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2016 17:54:47 +0100
